apply plugin: 'com.android.application'

android {
    flavorDimensions 'version'
    compileSdkVersion 28
    buildToolsVersion "29.0.2"
    defaultConfig {
        applicationId "com.dbs.mplus.knuh"
        minSdkVersion 24
        targetSdkVersion 28
        versionCode 1
        versionName "1.0"
        multiDexEnabled true
//        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }
//    buildTypes {
//        release {
//            minifyEnabled false
//            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
//        }
//    }

    signingConfigs {
        release {
            storeFile file('knuh_consent.jks') // 기준은 App 폴더 기준이다.
            storePassword "#3wnffkdl#"
            keyAlias "knuh_consent"
            keyPassword "#3wnffkdl#"
        }
    }

    buildTypes {
        debug {
//            buildConfigField "com.dbs.mplus.knuh.setting.DeployPhase", "DEPLOY_PHASE", "com.dbs.mplus.knuh.setting.DeployPhase.Debug"
            buildConfigField "String", "NAME_SPACE", "\"http://tempuri.org/\""
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'

            ndk {
                abiFilters "armeabi-v7a", "armeabi" // includes ARM SO files only, so no x86 SO file
            }
        }
        release {
//            buildConfigField "com.dbs.mplus.knuh.setting.DeployPhase", "DEPLOY_PHASE", "com.dbs.mplus.knuh.setting.DeployPhase.Release"
            signingConfig signingConfigs.release
            buildConfigField "String", "originalPackageName", "\"com.dbs.mplus.knuh\""
            buildConfigField "String", "NAME_SPACE", "\"http://tempuri.org/\""
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'

            ndk {
                abiFilters "armeabi-v7a", "armeabi" // includes ARM SO files only, so no x86 SO file
            }
        }
    }

    productFlavors {
        local {
            applicationId "com.dbs.mplus.knuh"
            applicationIdSuffix ".local"
            buildConfigField "String", "originalPackageName", "\"com.dbs.mplus.knuh\""
            buildConfigField "String", "CONSENT_SERVER_URL", "\"http://128.127.95.125/\""
            buildConfigField "String", "CONSENT_EFORM_SERVER_URL", "\"https://emadev.knuh.kr:8095/eformservice.aspx\""
            buildConfigField "String", "INST_CD", "\"031\""
            manifestPlaceholders = [appLabel: "로컬교육"]
        }
        bonwon {
//            versionCode 1
//            versionName "1.0.0"

            buildConfigField "String", "originalPackageName", "\"com.dbs.mplus.knuh\""
            buildConfigField "String", "CONSENT_SERVER_URL", "\"https://ema031.knuh.kr:9091/\""
            buildConfigField "String", "CONSENT_EFORM_SERVER_URL", "\"https://ema031.knuh.kr:9090/eformservice.aspx\""
            buildConfigField "String", "INST_CD", "\"031\""
            manifestPlaceholders = [appLabel: "본원운영"]
        }
        bonwon_dev {
            applicationIdSuffix ".dev1"
            buildConfigField "String", "originalPackageName", "\"com.dbs.mplus.knuh\""
            buildConfigField "String", "CONSENT_SERVER_URL", "\"https://emadev.knuh.kr:8096\""
            buildConfigField "String", "CONSENT_EFORM_SERVER_URL", "\"https://emadev.knuh.kr:8095/eformservice.aspx\""
            buildConfigField "String", "INST_CD", "\"031\""
            manifestPlaceholders = [appLabel: "본원교육"]
        }
        chilgok {
            applicationIdSuffix ".chilgok"
            buildConfigField "String", "originalPackageName", "\"com.dbs.mplus.knuh\""
            buildConfigField "String", "CONSENT_SERVER_URL", "\"https://ema032.knuh.kr:8091\""
            buildConfigField "String", "CONSENT_EFORM_SERVER_URL", "\"https://ema032.knuh.kr:8090/eformservice.aspx\""
            buildConfigField "String", "INST_CD", "\"032\""
            manifestPlaceholders = [appLabel: "칠곡운영"]
        }
        chilgok_dev {
            applicationIdSuffix ".chilgok.dev1"
            buildConfigField "String", "originalPackageName", "\"com.dbs.mplus.knuh\""
            buildConfigField "String", "CONSENT_SERVER_URL", "\"https://emadev.knuh.kr:9096\""
            buildConfigField "String", "CONSENT_EFORM_SERVER_URL", "\"https://emadev.knuh.kr:9095/eformservice.aspx\""
            buildConfigField "String", "INST_CD", "\"032\""
            manifestPlaceholders = [appLabel: "칠곡교육"]
        }

    }
}

repositories {
    maven { url 'https://oss.sonatype.org/content/repositories/ksoap2-android-releases/' }
}

dependencies {
//    implementation fileTree(dir: 'libs', include: ['*.jar'])
//    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'androidx.appcompat:appcompat:1.0.2'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'androidx.test.ext:junit:1.1.0'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.1.1'
    implementation 'com.google.code.ksoap2-android:ksoap2-android:3.6.2'
    implementation 'com.github.ybq:Android-SpinKit:1.2.0'
    implementation 'gun0912.ted:tedpermission:2.0.0'
    implementation 'com.squareup.picasso:picasso:2.71828'
    implementation 'com.github.chrisbanes:PhotoView:2.0.0'
    implementation 'androidx.recyclerview:recyclerview:1.1.0'
    implementation 'androidx.viewpager:viewpager:1.0.0'
}
